MyGUI::types::TPoint< T > Struct Template Reference

`#include <MyGUI_TPoint.h>`

Inheritance diagram for MyGUI::types::TPoint< T >:
[legend]

## Public Member Functions

| TPoint ()=default
| TPoint (T const &_left, T const &_top)
TPoint & | operator-= (TPoint const &_obj)
TPoint & | operator+= (TPoint const &_obj)
TPoint | operator- (TPoint const &_obj) const
TPoint | operator+ (TPoint const &_obj) const
template<typename U>
TPoint & | operator= (TPoint< U > const &_obj)
bool | operator== (TPoint const &_obj) const
bool | operator!= (TPoint const &_obj) const
void | clear ()
void | set (T const &_left, T const &_top)
void | swap (TPoint &_value)
bool | empty () const
std::string | print () const

## Static Public Member Functions

static TPoint< T > | parse (std::string_view _value)

## Data Fields

T | left {}
T | top {}

## Friends

std::ostream & | operator<< (std::ostream &_stream, const TPoint< T > &_value)
std::istream & | operator>> (std::istream &_stream, TPoint< T > &_value)

## Detailed Description

template<typename T>
struct MyGUI::types::TPoint< T >

Definition at line 17 of file MyGUI_TPoint.h.

## Constructor & Destructor Documentation

## TPoint() [1/2]

template<typename T>

MyGUI::types::TPoint< T >::TPoint | ( |  | ) |

default

## TPoint() [2/2]

template<typename T>

MyGUI::types::TPoint< T >::TPoint | ( | T const & | _left,
|  | T const & | _top )

inline

Definition at line 24 of file MyGUI_TPoint.h.

## Member Function Documentation

## clear()

template<typename T>

void MyGUI::types::TPoint< T >::clear | ( |  | ) |

inline

Definition at line 72 of file MyGUI_TPoint.h.

## empty()

template<typename T>

bool MyGUI::types::TPoint< T >::empty | ( |  | ) | const

inline

Definition at line 90 of file MyGUI_TPoint.h.

## operator!=()

template<typename T>

bool MyGUI::types::TPoint< T >::operator!= | ( | TPoint< T > const & | _obj | ) | const

inline

Definition at line 67 of file MyGUI_TPoint.h.

## operator+()

template<typename T>

TPoint MyGUI::types::TPoint< T >::operator+ | ( | TPoint< T > const & | _obj | ) | const

inline

Definition at line 49 of file MyGUI_TPoint.h.

## operator+=()

template<typename T>

TPoint & MyGUI::types::TPoint< T >::operator+= | ( | TPoint< T > const & | _obj | ) |

inline

Definition at line 37 of file MyGUI_TPoint.h.

## operator-()

template<typename T>

TPoint MyGUI::types::TPoint< T >::operator- | ( | TPoint< T > const & | _obj | ) | const

inline

Definition at line 44 of file MyGUI_TPoint.h.

## operator-=()

template<typename T>

TPoint & MyGUI::types::TPoint< T >::operator-= | ( | TPoint< T > const & | _obj | ) |

inline

Definition at line 30 of file MyGUI_TPoint.h.

## operator=()

template<typename T>
template<typename U>

TPoint & MyGUI::types::TPoint< T >::operator= | ( | TPoint< U > const & | _obj | ) |

inline

Definition at line 55 of file MyGUI_TPoint.h.

## operator==()

template<typename T>

bool MyGUI::types::TPoint< T >::operator== | ( | TPoint< T > const & | _obj | ) | const

inline

Definition at line 62 of file MyGUI_TPoint.h.

## parse()

template<typename T>

TPoint< T > MyGUI::types::TPoint< T >::parse | ( | std::string_view | _value | ) |

inline static

Definition at line 102 of file MyGUI_TPoint.h.

## print()

template<typename T>

std::string MyGUI::types::TPoint< T >::print | ( |  | ) | const

inline

Definition at line 95 of file MyGUI_TPoint.h.

## set()

template<typename T>

void MyGUI::types::TPoint< T >::set | ( | T const & | _left,
|  | T const & | _top )

inline

Definition at line 77 of file MyGUI_TPoint.h.

## swap()

template<typename T>

void MyGUI::types::TPoint< T >::swap | ( | TPoint< T > & | _value | ) |

inline

Definition at line 83 of file MyGUI_TPoint.h.

## Friends And Related Symbol Documentation

## operator<<

template<typename T>

std::ostream & operator<< | ( | std::ostream & | _stream,
|  | const TPoint< T > & | _value )

friend

Definition at line 107 of file MyGUI_TPoint.h.

## operator>>

template<typename T>

std::istream & operator>> | ( | std::istream & | _stream,
|  | TPoint< T > & | _value )

friend

Definition at line 113 of file MyGUI_TPoint.h.

## Field Documentation

## left

template<typename T>

T MyGUI::types::TPoint< T >::left {}

Definition at line 19 of file MyGUI_TPoint.h.

## top

template<typename T>

T MyGUI::types::TPoint< T >::top {}

Definition at line 20 of file MyGUI_TPoint.h.

The documentation for this struct was generated from the following file:

- MyGUI_TPoint.h